<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<form id="save_form" method="post"  enctype="multipart/form-data" >
		<input type="hidden" name="wechatMessageType" id="wechatMessageType"  >
		<div class="common_content_btnList clearfix">
			<div class="common_content_scach_box fl clearfix common_content_scach_box_shot">
				<ul class="clearfix">
					<li>
						<div class="input70">
							群发对象
						</div>
						<div>
							<input type="hidden" name="groupTypeValue" id="groupTypeValue"  >
							<input size="16" type="text" class="form-control" value="" input-type="select" readonly="">
							<ul class="dropdown-menu" id="groupTypeSelect" data="$.GROUP_TYPE">
							</ul>
							<i class="input_icon input_down"></i>
						</div>
						<div id="groupSelectDiv">
							<input type="hidden" name="groupSelectValue" id="groupSelectValue" value="">
							<input size="16" type="text" class="form-control" value="" id="groupSelect" input-type="select" readonly="">
							<ul class="dropdown-menu" id="groupSelectUl">
							</ul>
							<i class="input_icon input_down"></i>

						</div>
					</li>
				</ul>
			</div>
		</div>
		<div class="common_content_scach_box fl clearfix common_content_scach_box_shot">
			<ul class="clearfix">
				<li>
					<div class="input70 clearfix">
						群发消息
					</div>
				</li>
			</ul>
			<div class="wechat_msg border5 box_shadow">
				<div class="row wechat_msg_top_row">
					<div data-for="#tuwen" class="col-xs-4 active" >
						<i class="wechat_msg_icon icon_pic" ></i> 图文消息
					</div>
					<div data-for="#wenzi" class="col-xs-4">
						<i class="wechat_msg_icon icon_font"  ></i> 文字消息
					</div>
					<div data-for="#tupian" class="col-xs-4" >
						<i class="wechat_msg_icon icon_img"  ></i> 图片消息
					</div>
				</div>
				<div class="wechat_msg_main">
					<!--图文-->
					<div id="tuwen">
						<div id="showSucai" class="wechat_msg_no">
							<div class="wechat_msg_no_icon"></div>
							<span>从素材库中选择</span>
						</div>
					</div>
					<!--文字-->
					<div id="wenzi" class="none">
						<div class="wechat_msg_font">
							<textarea name="content" rows="" cols=""></textarea>
							<div>
								还可输入600字
							</div>
						</div>
					</div>
					<!--图片-->
<!-- 					<div id="tupian" class="none">
						<div class="wechat_msg_img">
							<div class="common_content_btnList clearfix">
								<button id="userDetailedBoxBtn" type="button" class="btn btn-default">浏览本地文件</button>
								<span class="file_title">未选择文件...</span>
							</div>
						</div>
					</div> -->
							<div id="tupian" class="none">
								<div class="wechat_msg_img">
										<div><img id="ImgPr" width="150" height="150" /></div>
										 <input type="file" id="up" name="uploadPcture"/>
								</div>
							</div>					
				</div>
			</div>
			<button type="button"  onclick="doSend()" class="btn btn-success btn-block choose_btn">发送</button>
		</div>
		<!--选择素材-->
		<div id="suCai" class="mask clearfix none">
			<div class="detailed wechat_sucai_panel tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">模板消息设置</div>
				<ul class="wechat_sucai_ul clearfix">
					<li>
						<div class="wechat_sucai_add">
							<div class="wechat_sucai_check">
								<i class="glyphicon glyphicon-ok"></i>
							</div>
							<div id="" class="fengmian">
								<div>
									<!--<img src="" alt="" />-->
									<p>封面图片</p>
								</div>
								<span>标题</span>
							</div>
							<div id="">
								<div class="appmsgItem">
									<span>标题</span>
									<div class="appmsgItem_img">
										<!--<img src="" alt="" />-->
										<p>缩略图</p>
									</div>
								</div>
								<div class="appmsgItem"><span>标题</span>
									<div class="appmsgItem_img">
										<!--<img src="" alt="" />-->
										<p>缩略图</p>
									</div>
								</div>
								<div class="appmsgItem"><span>标题</span>
									<div class="appmsgItem_img">
										<!--<img src="" alt="" />-->
										<p>缩略图</p>
									</div>
								</div>
							</div>
						</div>
						<div class="wechat_sucai_add">
							<div id="" class="fengmian">
								<div>
									<!--<img src="" alt="" />-->
									<p>封面图片</p>
								</div>
								<span>标题</span>
							</div>
						</div>
					</li>
					<li>
						<div class="wechat_sucai_add">
							<div class="wechat_sucai_check">
								<i class="glyphicon glyphicon-ok"></i>
							</div>
							<div id="" class="fengmian">
								<div>
									<!--<img src="" alt="" />-->
									<p>封面图片</p>
								</div>
								<span>标题</span>
							</div>
							<div id="">
								<div class="appmsgItem">
									<span>标题</span>
									<div class="appmsgItem_img">
										<!--<img src="" alt="" />-->
										<p>缩略图</p>
									</div>
								</div>
								<div class="appmsgItem"><span>标题</span>
									<div class="appmsgItem_img">
										<!--<img src="" alt="" />-->
										<p>缩略图</p>
									</div>
								</div>
							</div>
						</div>
						<div class="wechat_sucai_add">
							<div id="" class="fengmian">
								<div>
									<!--<img src="" alt="" />-->
									<p>封面图片</p>
								</div>
								<span>标题</span>
							</div>
							<div id="">
								<div class="appmsgItem">
									<span>标题</span>
									<div class="appmsgItem_img">
										<!--<img src="" alt="" />-->
										<p>缩略图</p>
									</div>
								</div>
							</div>
						</div>
					</li>
				</ul>
			</div>
		</div>
		</form>
		<script type="text/javascript">
			$(function() {
				require(['messageSend'], function(re) {
					re.init();
				});
			});
			function doSend(){
				var wechatMessageType;
				if($("#tuwen").is(":visible")){
					wechatMessageType="mpnews";
				}
				if($("#wenzi").is(":visible")){
					wechatMessageType="text";
				}
				if($("#tupian").is(":visible")){
					wechatMessageType="image";
				}
				$("#wechatMessageType").val(wechatMessageType);
				
 	     		var url=$.baseUrl+"/wechatGroupMessageController/sendWechatGroupMessage.do";
 	     		
 	     		$('#save_form').form('submit', {    
 					url:url,  
 					onSubmit: function(){
 						alert(OK);
 					},   
 					success:function(result){    
 					}    
 				});     		
 	     		
/* 	        	$.ajax({
	                type:"POST",
	                url:url,
	                dataType:"JSON",
	                data:$('#save_form').serialize(),
	                contentType: "application/x-www-form-urlencoded; charset=utf-8", 
	                success:function(data){
	                	window.location.reload();
	                },
	                error:function(){
	                    alert("request error");
	                }
	            }); */
			}		
		</script>
	</body>

</html>